| Home | Libraries | People | FAQ | More

## Struct header_t

boost::interprocess::rbtree_best_fit::header_t

## Synopsis

    // In header: <boost/interprocess/mem_algo/rbtree_best_fit.hpp>

    struct header_t : public boost::interprocess::interprocess_mutex {
      Imultiset m_imultiset;
      std::size_t m_extra_hdr_bytes;  // The extra size required by the segment.
      std::size_t m_allocated;  // Allocated bytes for internal checking.
      std::size_t m_size;  // The size of the memory segment.
    };

## Description

This struct includes needed data and derives from interprocess_mutex to allow EBO when using null interprocess_mutex